%global commit      0d2f49b9ec631e86568a037849c54fff10d5af9a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:           fedora-dockerfiles
Version:        0
Release:        0.11.git%{shortcommit}%{?dist}
Summary:        Example dockerfiles to assist standing up containers quickly
License:        GPLv2
URL:            https://github.com/scollier/Fedora-Dockerfiles
Source0:        https://github.com/scollier/Fedora-Dockerfiles/archive/%{commit}/Fedora-Dockerfiles-%{shortcommit}.tar.gz
ExclusiveArch:  x86_64
Requires:       docker-io

%description
This package provides a community contributed set of examples that can
assist in learning about Docker containers. Use these examples to
stand up test environments using the Docker container engine.

%prep
%setup -n Fedora-Dockerfiles-%{commit}

%build

%install
rm -rf needs_work TODO
install -d -p -m 755 %{buildroot}%{_datadir}/%{name}
for d in apache bind couchdb Django earthquake \
    firefox hadoop lighttpd mariadb memcached \
    mesos mongodb mysql nginx nodejs \
    owncloud postgres python qpid rabbitmq \
    redis registry ssh systemd wordpress_single_container; do
        if [ -f $d/LICENSE* ]
        then
            mv $d/LICENSE* ./LICENSE-$d
        fi
        cp -av $d %{buildroot}%{_datadir}/%{name}
done

%files 
%defattr(-,root,root,-)
%doc COPYING LICENSE-* README.md
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/*
%{_datadir}/%{name}/apache/*
%{_datadir}/%{name}/bind/*
%{_datadir}/%{name}/couchdb/*
%{_datadir}/%{name}/Django/*
%{_datadir}/%{name}/earthquake/*
%{_datadir}/%{name}/firefox/*
%{_datadir}/%{name}/hadoop/*
%{_datadir}/%{name}/lighttpd/*
%{_datadir}/%{name}/mariadb/*
%{_datadir}/%{name}/memcached/*
%{_datadir}/%{name}/mesos/*
%{_datadir}/%{name}/mongodb/*
%{_datadir}/%{name}/mysql/*
%{_datadir}/%{name}/nginx/*
%{_datadir}/%{name}/nodejs/*
%{_datadir}/%{name}/owncloud/*
%{_datadir}/%{name}/postgres/*
%{_datadir}/%{name}/python/*
%{_datadir}/%{name}/qpid/*
%{_datadir}/%{name}/rabbitmq/*
%{_datadir}/%{name}/redis/*
%{_datadir}/%{name}/registry/*
%{_datadir}/%{name}/ssh/*
%{_datadir}/%{name}/systemd/*
%{_datadir}/%{name}/wordpress_single_container/*

%changelog
* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.11.git
- we don't want debug package since it is noarch

* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.10.git
- fixing the source file with a version bump

* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.9.git
- more dockerfiles with bugfixes

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git122ef5d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 01 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.7.git
- archful as per docker-io

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git122ef5d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.5.git
- require docker-io

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.git
- include bind, earthquake, hadoop, lighttpd, python, qpid, redis, registry

* Wed Feb 19 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git7753bdf
- own main package directory

* Tue Feb 11 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git7753bdf
- use a loop to install stuff
- include firefox and nodejs
- install separate license for each program

* Tue Jan 14 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git202887b
- Initial fedora package
